## GstProxyControlBinding GstProxyControlBinding — attachment for forwarding control sources |

## Functions

GstControlBinding * | gst_proxy_control_binding_new ()

## Includes

    #include <libs/controller/controller.h>

## Description

A GstControlBinding that forwards requests to another GstControlBinding

## Functions

### gst_proxy_control_binding_new ()

    GstControlBinding *
    gst_proxy_control_binding_new (GstObject *object,
                                   const gchar *property_name,
                                   GstObject *ref_object,
                                   const gchar *ref_property_name);

GstProxyControlBinding forwards all access to data or `sync_values()` requests from `property_name` on `object` to the control binding at `ref_property_name` on `ref_object` .

#### Parameters

object | a GstObject. | [transfer none]
property_name | the property name in `object` to control |
ref_object | a GstObject to forward all GstControlBinding requests to. | [transfer none]
ref_property_name | the property_name in `ref_object` to control |

#### Returns

a new GstControlBinding that proxies the control interface between properties on different GstObject's.

[transfer floating]

Since: 1.12

## Types and Values

## See Also

GstControlBinding